import request from '@/utils/request'

// 查询商家入驻列表
export function listJoinShop(query) {
  return request({
    url: '/business/joinShop/list',
    method: 'get',
    params: query
  })
}

// 查询商家入驻详细
export function getJoinShop(id) {
  return request({
    url: '/business/joinShop/' + id,
    method: 'get'
  })
}

// 新增商家入驻
export function addJoinShop(data) {
  return request({
    url: '/business/joinShop',
    method: 'post',
    data: data
  })
}

// 修改商家入驻
export function updateJoinShop(data) {
  return request({
    url: '/business/joinShop',
    method: 'put',
    data: data
  })
}

// 删除商家入驻
export function delJoinShop(id) {
  return request({
    url: '/business/joinShop/' + id,
    method: 'delete'
  })
}

// 导出商家入驻
export function exportJoinShop(query) {
  return request({
    url: '/business/joinShop/export',
    method: 'get',
    params: query
  })
}